Bug 110347 - bad wvdial.config plus modem status not displayed
bad wvdial.config plus modem status not displayed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 111252
  Show dependency treegraph
 
Reported: 2003-11-18 13:06 EST by Ed
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 09:01:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed 2003-11-18 13:06:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031114 Firebird/0.7+

Description of problem:
I installed fedora yesterday and used r-c-n to set up the numbers for
my ISP. I was unable to dial out and the tones sounded 'odd'. When I
looked at /etc/wvdial.conf it appeared to contain two errors compared
to the one I'd archived from RH9. Below is the top of that file:

[Modem0]
Modem = /dev/modem
Baud = 115200
SetVolume = 1
Dial Command = ATDT
Init1 = ATZ
Init3 = ATM1L1
FlowControl = Hardware (CRTSCTS)

The flow control line is bad it should read
FlowControl = CRTSCTS

also the original Init3 was ATM1

It is possible (likely) that I hadn't tried to edit the modem hardware
prior to use so it inherited a poor default.

Having fixed these, the modem works. However, when I use r-c-n to
activate the connection the status is not updated, this makes it
impossible to deactivate the connection.

Ed

Version-Release number of selected component (if applicable):
redhat-config-network-1.3.10-1

How reproducible:
Always

Steps to Reproduce:
Haven't tried to reproduce bad wvdial.conf yet. For poor status follwo
steps above.
1.
2.
3.
    

Actual Results:  as above

Expected Results:  I'd expect r-c-n to dispaly modem as active when it
was active.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.